> For the complete documentation index, see llms.txt.
Skip to main content

Check out Port for yourself ➜ 

Get an integration's metrics and sync status

GET 

/v1/integration/:integrationInternalId/syncMetrics

This route allows you to get a specific integration's metrics and sync status either the latest one or for a specific resync.

It returns the sync's execution status and detailed metrics per kind for each phase of the sync.
For example, the number of fetched objects in the sync's fetch phase, number of objects that were mapped in the mapping phase, etc.

To learn more about integrations, check out the documentation.

Non-existent integration ID: If the provided integrationInternalId does not match any existing integration, the endpoint will return a 200 OK response with empty results.

Permission requirements
To use this endpoint, you must have a moderator or admin role in your Port organization.
To learn more about the different roles and permissions, please refer to the documentation.

Request

Responses

Default Response